Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455355 - malloc debugging is noisy, messes up uname output
Summary: malloc debugging is noisy, messes up uname output
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 00:41 UTC by Kevin Kofler
Modified: 2016-11-24 15:47 UTC (History)
6 users (show)

Fixed In Version: 2.8.90-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-20 08:58:10 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2008-07-15 00:41:55 UTC
Description of problem:
When malloc debugging is enabled, which the latest initscripts-8.79-1.fc10 
does system-wide, glibc prints a message to stderr (or is it stdout?) for 
every single program starting up:

malloc: using debugging hooks

That breaks programs like uname, at least cmake gets confused by the uname 
output and prints:

System is unknown to cmake, create:
Platform/malloc: using debugging hooks
Linux to use this system, please send your config file to cmake@www.cmake.org 
so it can be added to cmake

and errors, breaking KDE package builds. If debugging is to be enabled 
system-wide in Rawhide, it has to be silent unless/until an error occurs.


Version-Release number of selected component (if applicable):
glibc-2.8.90-8
initscripts-8.79-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. Try running a build with the latest glibc and initscripts.
  
Actual results:
build.log gets spammed with "malloc: using debugging hooks", cmake gets 
confused and errors.

Expected results:
Use of debugging hooks is silent.

Additional info:
See also http://fedorahosted.org/rel-eng/ticket/733

Comment 1 Ulrich Drepper 2008-07-20 08:58:10 UTC
Changed in 2.8.90-9.

Comment 2 Kirby Zhou 2009-10-08 15:26:39 UTC
The same problem is in RHEL-5

Comment 3 Goran P 2011-05-19 12:45:44 UTC
Debugging hooks is ON.
check: echo $MALLOC_CHECK_
It is probably in 1. To solve your problem, enter: export MALLOC_CHECK_=0


Note You need to log in before you can comment on or make changes to this bug.